#include<stdio.h>
#include<math.h>
#include<stdlib.h>
main()
{
long *niz,x,n;
scanf("%d%d",&n,&x);
niz=(long*)malloc(n*sizeof(long));
for(int i=0;i<n;i++)
scanf("%d",niz+i);
long levo=*(niz+0),desno=*(niz+(n-1));
for(int i=1;i<n;i++)
{
if(*(niz+i)<levo)
levo=*(niz+i);
if(*(niz+(n-i-1))>desno)
desno=*(niz+(n-i-1));
}
if(desno<x)
printf("%ld",x-levo);
else if(levo>x)
printf("%ld",desno-x);
else
printf("%ld",(x-levo)+(desno-levo));
}